<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFHeaderFooterProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFHeaderFooterProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFHeaderFooterProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFHeaderFooterProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFHeaderFooterProperties" class="title">Class XSSFHeaderFooterProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFHeaderFooterProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFHeaderFooterProperties</span>
extends java.lang.Object</pre>
                <div class="block"><p>
                    All Header/Footer properties for a sheet are scoped to the sheet. This includes Different First
                    Page,
                    and Different Even/Odd. These properties can be set or unset explicitly in this class. Note that
                    while
                    Scale With Document and Align With Margins default to unset, Different First, and Different Even/Odd
                    are updated automatically as headers and footers are added and removed.
                </p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#XSSFHeaderFooterProperties-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter-">XSSFHeaderFooterProperties</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter&nbsp;headerFooter)</code>
                                    <div class="block">Create an instance of XSSFHeaderFooterProperties from the
                                        supplied XML bean
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#getAlignWithMargins--">getAlignWithMargins</a></span>()</code>
                                    <div class="block">returns alignWithMargins attribute</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#getDifferentFirst--">getDifferentFirst</a></span>()</code>
                                    <div class="block">returns differentFirst attribute</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#getDifferentOddEven--">getDifferentOddEven</a></span>()</code>
                                    <div class="block">returns differentOddEven attribute</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#getHeaderFooter--">getHeaderFooter</a></span>()</code>
                                    <div class="block">Returns the underlying CTHeaderFooter xml bean</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#getScaleWithDoc--">getScaleWithDoc</a></span>()</code>
                                    <div class="block">returns scaleWithDoc attribute</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#removeAlignWithMargins--">removeAlignWithMargins</a></span>()</code>
                                    <div class="block">remove alignWithMargins attribute</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#removeDifferentFirst--">removeDifferentFirst</a></span>()</code>
                                    <div class="block">remove differentFirst attribute</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#removeDifferentOddEven--">removeDifferentOddEven</a></span>()</code>
                                    <div class="block">remove differentOddEven attribute</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#removeScaleWithDoc--">removeScaleWithDoc</a></span>()</code>
                                    <div class="block">remove scaleWithDoc attribute</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#setAlignWithMargins-boolean-">setAlignWithMargins</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">set alignWithMargins attribute</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#setDifferentFirst-boolean-">setDifferentFirst</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">set differentFirst attribute</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#setDifferentOddEven-boolean-">setDifferentOddEven</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">set differentOddEven attribute</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html#setScaleWithDoc-boolean-">setScaleWithDoc</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">set scaleWithDoc attribute</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFHeaderFooterProperties-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFHeaderFooterProperties</h4>
                                <pre>public&nbsp;XSSFHeaderFooterProperties(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter&nbsp;headerFooter)</pre>
                                <div class="block">Create an instance of XSSFHeaderFooterProperties from the supplied
                                    XML bean
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>headerFooter</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getHeaderFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeaderFooter</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter&nbsp;getHeaderFooter()</pre>
                                <div class="block">Returns the underlying CTHeaderFooter xml bean</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the underlying CTHeaderFooter xml bean</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAlignWithMargins--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAlignWithMargins</h4>
                                <pre>public&nbsp;boolean&nbsp;getAlignWithMargins()</pre>
                                <div class="block">returns alignWithMargins attribute</div>
                            </li>
                        </ul>
                        <a name="getDifferentFirst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDifferentFirst</h4>
                                <pre>public&nbsp;boolean&nbsp;getDifferentFirst()</pre>
                                <div class="block">returns differentFirst attribute</div>
                            </li>
                        </ul>
                        <a name="getDifferentOddEven--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDifferentOddEven</h4>
                                <pre>public&nbsp;boolean&nbsp;getDifferentOddEven()</pre>
                                <div class="block">returns differentOddEven attribute</div>
                            </li>
                        </ul>
                        <a name="getScaleWithDoc--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getScaleWithDoc</h4>
                                <pre>public&nbsp;boolean&nbsp;getScaleWithDoc()</pre>
                                <div class="block">returns scaleWithDoc attribute</div>
                            </li>
                        </ul>
                        <a name="setAlignWithMargins-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAlignWithMargins</h4>
                                <pre>public&nbsp;void&nbsp;setAlignWithMargins(boolean&nbsp;flag)</pre>
                                <div class="block">set alignWithMargins attribute</div>
                            </li>
                        </ul>
                        <a name="setDifferentFirst-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDifferentFirst</h4>
                                <pre>public&nbsp;void&nbsp;setDifferentFirst(boolean&nbsp;flag)</pre>
                                <div class="block">set differentFirst attribute</div>
                            </li>
                        </ul>
                        <a name="setDifferentOddEven-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDifferentOddEven</h4>
                                <pre>public&nbsp;void&nbsp;setDifferentOddEven(boolean&nbsp;flag)</pre>
                                <div class="block">set differentOddEven attribute</div>
                            </li>
                        </ul>
                        <a name="setScaleWithDoc-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setScaleWithDoc</h4>
                                <pre>public&nbsp;void&nbsp;setScaleWithDoc(boolean&nbsp;flag)</pre>
                                <div class="block">set scaleWithDoc attribute</div>
                            </li>
                        </ul>
                        <a name="removeAlignWithMargins--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeAlignWithMargins</h4>
                                <pre>public&nbsp;void&nbsp;removeAlignWithMargins()</pre>
                                <div class="block">remove alignWithMargins attribute</div>
                            </li>
                        </ul>
                        <a name="removeDifferentFirst--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeDifferentFirst</h4>
                                <pre>public&nbsp;void&nbsp;removeDifferentFirst()</pre>
                                <div class="block">remove differentFirst attribute</div>
                            </li>
                        </ul>
                        <a name="removeDifferentOddEven--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeDifferentOddEven</h4>
                                <pre>public&nbsp;void&nbsp;removeDifferentOddEven()</pre>
                                <div class="block">remove differentOddEven attribute</div>
                            </li>
                        </ul>
                        <a name="removeScaleWithDoc--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>removeScaleWithDoc</h4>
                                <pre>public&nbsp;void&nbsp;removeScaleWithDoc()</pre>
                                <div class="block">remove scaleWithDoc attribute</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFHeaderFooterProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFHeaderFooterProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
